function fig4_15

tmax=250;

% numerical solution ep=0.01
%  x-axis   g(x)  u (t=5)   u (t=10)
load fisher1.txt
x1=fisher1(:,1);
u1=fisher1(:,2);
u1x=fisher1(:,3);
u1y=fisher1(:,4);

ep=0.01;
nx=200;
lambda=1;
x=linspace(-10,20,nx);
t1=5;
t2=10;
for ix=1:nx
	arg1 = t1 - lambda*x(ix) + lambda^2*ep*t1;  
	arg2 = t2 - lambda*x(ix) + lambda^2*ep*t2; 
	a1(ix) = 1/(1+exp(-arg1));
	a2(ix) = 1/(1+exp(-arg2));
end

figure(1)

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.18,'MR',-0.02,'ML',0.05,'P',0.04)

hold on
box on
grid on

say=['$\varepsilon = 0.01$'];
text(-8,0.2,say,'FontSize',13,'Interpreter','latex')

plot(x1,u1,'--b','Linewidth',1.2)

plot(x,a1,'r','Linewidth',1.2)
plot(x,a2,'r','Linewidth',1.2)

plot(x1,u1x,'--b','Linewidth',1.2)
plot(x1,u1y,'--b','Linewidth',1.2)

text(-4.5,0.84,'$t = 0$','Interpreter','latex','FontSize',14)
text(2,0.64,'$t = 5$','Interpreter','latex','FontSize',14)
text(7.5,0.44,'$t = 10$','Interpreter','latex','FontSize',14)

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('Solution','Interpreter','latex','FontSize',14)

hold off

%exportgraphics(gcf,'/Users/mark/Desktop/fig311b.pdf')


figure(2)

% numerical solution ep=0.1
%  x-axis   g(x)  u (t=5)   u (t=10)
load fisher2.txt
x2=fisher2(:,1);
u2=fisher2(:,2);
u2x=fisher2(:,3);
u2y=fisher2(:,4);

ep=0.1;
for ix=1:nx
	arg1 = t1 - lambda*x(ix) + lambda^2*ep*t1;  
	arg2 = t2 - lambda*x(ix) + lambda^2*ep*t2; 
	a1(ix) = 1/(1+exp(-arg1));
	a2(ix) = 1/(1+exp(-arg2));
end

clf
% get(gcf)
set(gcf,'Position', [23 792 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.18,'MR',-0.02,'ML',0.05,'P',0.04)

hold on
box on
grid on

say=['$\varepsilon = 0.1$'];
text(-8,0.2,say,'FontSize',13,'Interpreter','latex')

plot(x2,u2,'--b','Linewidth',1.5)

plot(x,a1,'r','Linewidth',1.2)
plot(x,a2,'r','Linewidth',1.2)

plot(x2,u2x,'--b','Linewidth',1.2)
plot(x2,u2y,'--b','Linewidth',1.2)

text(-4.4,0.84,'$t = 0$','Interpreter','latex','FontSize',14)
text(2.2,0.64,'$t = 5$','Interpreter','latex','FontSize',14)
text(8.2,0.44,'$t = 10$','Interpreter','latex','FontSize',14)

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('Solution','Interpreter','latex','FontSize',14)

%exportgraphics(gcf,'/Users/mark/Desktop/fig311a.pdf')
